Package be.fgov.ehealth.hubservices.core.v2

# Class ProofType

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.ProofType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class ProofType extends Object implements Serializable

Java class for ProofType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProofType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-PROOF"/>
             <element name="binaryproof" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}Base64EncryptedDataType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProofType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Base64EncryptedDataType`
  `getBinaryproof()`
  existence depending on the type of proof
  `CDPROOF`
  `getCd()`
  describing different types of proof e.g.
  `void`
  `setBinaryproof(Base64EncryptedDataType value)`
  Sets the value of the binaryproof property.
  `void`
  `setCd(CDPROOF value)`
  Sets the value of the cd property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProofType

    public ProofType()

- ## Method Details

  - ### getCd

    public CDPROOF getCd()
    describing different types of proof e.g. SISReading, eIDReading, eIDSigning, timestamp
    Returns:
      possible object is `CDPROOF`

  - ### setCd

    public void setCd(CDPROOF value)
    Sets the value of the cd property.
    Parameters:
      `value` - allowed object is `CDPROOF`
    See Also:
      - `getCd()`

  - ### getBinaryproof

    public Base64EncryptedDataType getBinaryproof()
    existence depending on the type of proof
    Returns:
      possible object is `Base64EncryptedDataType`

  - ### setBinaryproof

    public void setBinaryproof(Base64EncryptedDataType value)
    Sets the value of the binaryproof property.
    Parameters:
      `value` - allowed object is `Base64EncryptedDataType`
    See Also:
      - `getBinaryproof()`